# ArrayTransform

[![Build Status](https://travis-ci.com/Scrimmage/array_transform.svg?token=4X3FUNyi2mcNDmPpLxLJ&branch=master)](https://travis-ci.com/Scrimmage/array_transform)

[![Maintainability](https://api.codeclimate.com/v1/badges/b41c1328058c53253ef7/maintainability)](https://codeclimate.com/repos/5bec61c049116227ca00c52e/maintainability)

## Requirements

Ruby 2.3.0 or higher.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'array_transform'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install array_transform

## Usage

Usage information will be provide in the future. Current implmentation is not stable. For those that continue regardless, try:

```ruby
  include ArrayTransform::Operations

  add_column(
    cell_operation: -> (i) { 1 },
    data: [[]]
  ).data
```

and see the operation specs.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/scrimmage/array_transform. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the ArrayTransform project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/scrimmage/array_transform/blob/master/CODE_OF_CONDUCT.md).
